MODULE	Proy ;

(*=============================================================================
   ASIGNATURA	: Programacion de Computadores 2
   OBJETIVO	: Proyecto de programcion de computadores 2
		  Analizar el archivo xferlog
   AUTOR	: Andres Gomez Casanova
   FECHA	: 26 de abril, 2002
=============================================================================*)


(*---------------------------------------------------------------------------*)
(* ENCABEZADO DE LOS MODULOS (Bibliotecas) *)
IMPORT	Args, Tipo, Inte, Line, Crea, Opci ;


(*---------------------------------------------------------------------------*)
(* VARIABLES DEL PROGRAMA PRINCIPAL *)
VAR
	destino	: Tipo.Tvector ;	(* Nombre del archivo binario *)
	tipo	: INTEGER ;		(* Tipo de error retornado *)

(*---------------------------------------------------------------------------*)
(* PROGRAMA PRINCIPAL *)
BEGIN
(* Muestra la introduccion del programa *)
Inte.programa () ;

(* Si se ha introducido mas de un parametro muestra ejemplo de linea de 
   comando *)
IF (Args.argc > 2) THEN
	Inte.ayuda () ;
ELSE
	tipo := 0 ;

(* Reconoce la linea de comando retornando el nombre del archivo destino *)
	Line.reconocer (destino, tipo) ;

(* Analiza el error retornado *)
	IF (tipo = 0) THEN

(* Genera el archivo binario leyendo linea por linea del archivo xferlog *)
		Crea.generar (destino, tipo) ;
		IF (tipo = 0) THEN

(* Muestra el menu principal para realizar el analisis del archivo generado *)
			Opci.opciones (destino)
		END ;
	END ;
END ;

END	Proy.
